/*
 * Copyright(C) 2008 Проект ИОК
 *
 * Этот файл содержит информацию, являющуюся
 * собственностью компании Крипто Про.
 *
 * Любая часть этого файла не может быть скопирована,
 * исправлена, переведена на другие языки,
 * локализована или модифицирована любым способом,
 * откомпилирована, передана по сети с или на
 * любую компьютерную систему без предварительного
 * заключения соглашения с компанией Крипто Про.
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 206532 $
 * \date $Date:: 2020-02-12 14:10:57 +0300#$
 * \author $Author: sagafyin $
 * \brief Регистрация Магистра (ОС Trust)
 */

#include "ric_prj.h"

DWORD trust_register( 
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TRICContext *ctx;
    TSupSysInfoRegister *inf = (TSupSysInfoRegister*)info;
    SUPSYS_PRE_INFO( info, TSupSysInfoRegister );

    support_set_library(inf->support_module);

    UNUSED( context );
    ctx = calloc(1, sizeof(TRICContext));
    if( ctx == NULL )
	return (DWORD)NTE_NO_MEMORY;
    ctx->unique_length = TRUST_UNIQUE_LENGTH;
    ctx->unique_form = trust_unique_form;
    ctx->change_pin = ric_change_pin;
    ctx->block_len_read = TRUST_BLOCK_READ;
    ctx->block_len_write = TRUST_BLOCK_WRITE;
    ctx->class_tag = 0xf;
    ctx->application = 0x100;
    ctx->card_type = CardType_Magistra;
    inf->context = ctx;
    return ERROR_SUCCESS;
}
/* end of file: $Id: mag_reg.c 206532 2020-02-12 11:10:57Z sagafyin $ */
